# Created by pyp2rpm-3.3.4
%global pypi_name click-didyoumean

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 2
Summary:        Enable git-like did-you-mean feature in click
Group:          Development/Python
License:        MIT
URL:            https://github.com/timofurrer/click-didyoumean
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-click
BuildRequires:  python3-pytest
BuildRequires:  python3-prompt-toolkit
BuildRequires:  python3dist(poetry-core)

%description
Enable git-like did-you-mean feature in click.

%package -n     python3-%{pypi_name}
Summary:        Enable git-like did-you-mean feature in click
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Enable git-like did-you-mean feature in click.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files click_didyoumean

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%license LICENSE



%changelog
* Fri Feb 23 2024 papoteur <papoteur> 0.3.0-2.mga10
+ Revision: 2043538
- rebuild for python 3.12

* Thu Sep 08 2022 neoclust <neoclust> 0.3.0-1.mga9
+ Revision: 1886029
- New version

* Tue Mar 29 2022 umeabot <umeabot> 0.0.3-4.mga9
+ Revision: 1833355
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.0.3-3.mga9
+ Revision: 1785590
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.0.3-2.mga9
+ Revision: 1707535
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 0.0.3-1.mga8
+ Revision: 1669558
- initial package python-click-didyoumean (needed for python-celery)

